--- title: "Apply domain settings" slug: "networking-globaldns-record-applydomain" tags: ["Global DNS", "Record"] updated: 2026-09-17T10:12:30Z published: 2026-09-17T10:12:30Z canonical: "api.ncloud-docs.com/networking-globaldns-record-applydomain" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Apply domain settings Available in Classic and VPC Apply changed record information for a specified domain. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | PUT | /dns/v1/ncpdns/record/apply/{domainId} | ### Request headers For information about the headers common to all Record APIs, see [Record API request headers](/docs/en/networking-globaldns-record#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `domainId` | Integer | Required | Domain ID - See [View domain](/docs/en/networking-globaldns-record-getdomainlist) | ### Request example The following is a sample request. ``` curl --location --request PUT 'https://globaldns.apigw.ntruss.com/dns/v1/ncpdns/record/apply/25***' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response status codes For information about the HTTP status codes common to all Record APIs, see [Record API response status codes](/docs/en/networking-globaldns-record#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Error code example The following is a sample error code. ``` { "result": "FAIL", "error": { "errorCode": "X00006", "message": "Unable to apply the settings because an error occurred.", "devMessage": "Unable to apply the settings because an error occurred." } } ```